import os
import logging

import dotenv

from utils import setup_logger

dotenv.load_dotenv()

class BankNodeConfig:
    def __init__(self):
        self.logger = logging.getLogger(__name__)
        self.port = os.getenv("PORT", "6969")

        self.timeout = os.getenv("RESPONSE_TIMEOUT", "5")

        self.verbosity = os.getenv("VERBOSITY", "DEBUG")